TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

JSON-RPC endpoint

POST
/api/v2/jsonRPC

All API methods are available through this single endpoint using JSON-RPC 2.0 protocol. Send the method name in the method field and parameters as a dictionary in params. Useful for calling multiple methods in sequence or when JSON-RPC is preferred over REST.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

A JSON-RPC 2.0 request. Set method to the API method name (e.g., "getWalletInformation") and params to a dictionary of parameters.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/jsonRPC" \  -H "Content-Type: application/json" \  -d '{    "jsonrpc": "2.0",    "id": "string",    "method": "string",    "params": {}  }'
{  "ok": true,  "result": {},  "@extra": "string",  "jsonrpc": "string",  "id": "string"}